# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.4.177
  - 6b50202a4d53 Linux 4.4.177
  ACK: pavel
  - 5d8f03acc1a4 KVM: X86: Fix residual mmio emulation request to userspace
  - 8c7543e3b8eb KVM: nVMX: Ignore limit checks on VMX instructions using flat segments
  - 2866808ffc0f KVM: nVMX: Sign extend displacements of VMX instr's mem operands
  - 71e005f009ff drm/radeon/evergreen_cs: fix missing break in switch statement
  - e4de142d0a07 media: uvcvideo: Avoid NULL pointer dereference at the end of streaming
  - 25c4c4519352 rcu: Do RCU GP kthread self-wakeup from softirq and interrupt
  - 06a7cc29d18a PM / wakeup: Rework wakeup source timer cancellation
  - d18bcfe45510 nfsd: fix wrong check in write_v4_end_grace()
  - d2f777c50bfa nfsd: fix memory corruption caused by readdir
  - 295aac3a5a37 NFS: Don't recoalesce on error in nfs_pageio_complete_mirror()
  - a853de72abbe NFS: Fix an I/O request leakage in nfs_do_recoalesce
  - 128f60fe3bb0 md: Fix failed allocation of md_register_thread
  - 4426d5f7be8f perf intel-pt: Fix overlap calculation for padding
  - 5664e60dc0b1 perf auxtrace: Define auxtrace record alignment
  - ecd307da7771 perf intel-pt: Fix CYC timestamp calculation after OVF
  - 58cc0b4098d3 NFS41: pop some layoutget errors to application
  - cbb0f82ebbc4 dm: fix to_sector() for 32bit
  - fd2ebccb5884 ARM: s3c24xx: Fix boolean expressions in osiris_dvs_notify
  - 7ea0c2f9788a powerpc/83xx: Also save/restore SPRG4-7 during suspend
  - d9fbe055bc95 powerpc/powernv: Make opal log only readable by root
  - aa3995f04e39 powerpc/wii: properly disable use of BATs when requested.
  - 788b1a98f415 powerpc/32: Clear on-stack exception marker upon exception return
  - 86ca0da1ddb0 jbd2: fix compile warning when using JBUFFER_TRACE
  - 1fb35b7eda3d jbd2: clear dirty flag when revoking a buffer from an older transaction
  - 98257572f7c7 serial: 8250_pci: Have ACCES cards that use the four port Pericom PI7C9X7954 chip use the pci_pericom_setup()
  - 1a366cb3ae98 serial: 8250_pci: Fix number of ports for ACCES serial cards
  - 7bc0cb4da25e perf bench: Copy kernel files needed to build mem{cpy,set} x86_64 benchmarks
  - fefcb294a459 i2c: tegra: fix maximum transfer size
  - ddc6521426c9 parport_pc: fix find_superio io compare code, should use equal test.
  - dba3801e8dc8 intel_th: Don't reference unassigned outputs
  - c8d2a21fdf51 kernel/sysctl.c: add missing range check in do_proc_dointvec_minmax_conv
  - 49b3c4a292b0 mm/vmalloc: fix size check for remap_vmalloc_range_partial()
  - f7572a4534b5 dmaengine: usb-dmac: Make DMAC system sleep callbacks explicit
  - 96ad35532ccc clk: ingenic: Fix round_rate misbehaving with non-integer dividers
  - 64847df5bff1 ext2: Fix underflow in ext2_max_size()
  - 8b710dc8a5e2 ext4: fix crash during online resizing
  - 0d97ba8b9a5f cpufreq: pxa2xx: remove incorrect __init annotation
  - b14854612972 cpufreq: tegra124: add missing of_node_put()
  - 9bde9df79f24 crypto: pcbc - remove bogus memcpy()s with src == dest
  - efe908169f4f Btrfs: fix corruption reading shared and compressed extents after hole punching
  - eb4763b1bb4a btrfs: ensure that a DUP or RAID1 block group has exactly two stripes
  - 22058c290c94 m68k: Add -ffreestanding to CFLAGS
  - 5c6e7bd3a627 scsi: target/iscsi: Avoid iscsit_release_commands_from_conn() deadlock
  - 1cda5468c04a scsi: virtio_scsi: don't send sc payload with tmfs
  - 62a86906494d s390/virtio: handle find on invalid queue gracefully
  - 185ca832f7d7 clocksource/drivers/exynos_mct: Clear timer interrupt when shutdown
  - 3e08ffef4286 clocksource/drivers/exynos_mct: Move one-shot check from tick clear to ISR
  - 3f0edcec1da0 regulator: s2mpa01: Fix step values for some LDOs
  - f20f5fca3b45 regulator: s2mps11: Fix steps for buck7, buck8 and LDO35
  - 84d798497ea9 ACPI / device_sysfs: Avoid OF modalias creation for removed device
  - 19c53c1f817e tracing: Do not free iter->trace in fail path of tracing_open_pipe()
  - b1faf3d2b5b4 CIFS: Fix read after write for files with read caching
  - a2ef87f9d268 crypto: arm64/aes-ccm - fix logical bug in AAD MAC handling
  - aa9c7ee2922a stm class: Prevent division by zero
  - 5f4c9964d107 tmpfs: fix uninitialized return value in shmem_link
  - 8bbb2ce3da91 net: set static variable an initial value in atl2_probe()
  - 8e91a0b4d5f1 mac80211_hwsim: propagate genlmsg_reply return code
  - 5115ca2ba428 phonet: fix building with clang
  - 225bbd61b3ab ARC: uacces: remove lp_start, lp_end from clobber list
  - f8f413336b0c tmpfs: fix link accounting when a tmpfile is linked in
  - aa5740d660ac arm64: Relax GIC version check during early boot
  - c8380f42e82e ASoC: topology: free created components in tplg load error
  - 764498fa2d2b net: mv643xx_eth: disable clk on error path in mv643xx_eth_shared_probe()
  - 0b6f466dfc62 pinctrl: meson: meson8b: fix the sdxc_a data 1..3 pins
  - 3685be7cb47f net: systemport: Fix reception of BPDUs
  - 75330ce98d95 scsi: libiscsi: Fix race between iscsi_xmit_task and iscsi_complete_task
  - 526efb1049bf assoc_array: Fix shortcut creation
  - 823c717dbf5d ARM: 8824/1: fix a migrating irq bug when hotplug cpu
  - 27bd1497181c Input: st-keyscan - fix potential zalloc NULL dereference
  - c18daf1bdae9 i2c: cadence: Fix the hold bit setting
  - 65513463874c Input: matrix_keypad - use flush_delayed_work()
  - 4e873fa21052 ARM: OMAP2+: Variable "reg" in function omap4_dsi_mux_pads() could be uninitialized
  - 21442c73253b s390/dasd: fix using offset into zero size array error
  - e212aa684767 gpu: ipu-v3: Fix CSI offsets for imx53
  - 8512f804fd88 gpu: ipu-v3: Fix i.MX51 CSI control registers offset
  - 82351c83b1c5 crypto: ahash - fix another early termination in hash walk
  - ef3e805c9476 crypto: caam - fixed handling of sg list
  - 5672988e09e1 stm class: Fix an endless loop in channel allocation
  - fdeefd2af1f3 ASoC: fsl_esai: fix register setting issue in RIGHT_J mode
  - d96e50a53ba1 9p/net: fix memory leak in p9_client_create
  - f289ac1f6eb2 9p: use inode->i_lock to protect i_size_write() under 32-bit
  - 7b5115689bf9 media: videobuf2-v4l2: drop WARN_ON in vb2_warn_zero_bytesused()
  - b83f73aa7608 It's wrong to add len to sector_nr in raid10 reshape twice
  - 9b37b964775e fs/9p: use fscache mutex rather than spinlock
  - f83a38bf2ccd ALSA: bebob: use more identical mod_alias for Saffire Pro 10 I/O against Liquid Saffire 56
  - e13ab6c19547 tcp/dccp: remove reqsk_put() from inet_child_forget()
  - dcf54e4f0717 gro_cells: make sure device is up in gro_cells_receive()
  - 2d5f55d65a36 net/hsr: fix possible crash in add_timer()
  - b0e8ca9a1eb3 vxlan: Fix GRO cells race condition between receive and link delete
  - 195e9aa9fe13 vxlan: test dev->flags & IFF_UP before calling gro_cells_receive()
  - cb604342bc85 ipvlan: disallow userns cap_net_admin to change global mode/flags
  - f412aeb9167d missing barriers in some of unix_sock ->addr and ->path accesses
  - b4986f23b4d8 net: Set rtm_table to RT_TABLE_COMPAT for ipv6 for tables > 255
  - a1b4ace43842 mdio_bus: Fix use-after-free on device_register fails
  - c1b7d9363334 net/x25: fix a race in x25_bind()
  - 2eace0d069ff net/mlx4_core: Fix qp mtt size calculation
  - 0c21ccb8d70e net/mlx4_core: Fix reset flow when in command polling mode
  - 191aa19ab8c1 tcp: handle inet_csk_reqsk_queue_add() failures
  - d31b540d63b1 route: set the deleted fnhe fnhe_daddr to 0 in ip_del_fnhe to fix a race
  - d15bfd4603dc ravb: Decrease TxFIFO depth of Q3 and Q2 to one
  - 051612738631 pptp: dst_release sk_dst_cache in pptp_sock_destruct
  - e0b2bbd93ef0 net/x25: reset state in x25_connect()
  - 70ed8a0a9ec3 net/x25: fix use-after-free in x25_device_event()
  - d84e9d3c97ee net: sit: fix UBSAN Undefined behaviour in check_6rd
  - 453e3b319d28 net: hsr: fix memory leak in hsr_dev_finalize()
  - a795edbd6cd7 l2tp: fix infoleak in l2tp_ip6_recvmsg()
  - 52f6c8da89b9 KEYS: restrict /proc/keys by credentials at open time
  - b71ec041cce3 netfilter: nf_conntrack_tcp: Fix stack out of bounds when parsing TCP options
  - a55ea87f70ae netfilter: nfnetlink_acct: validate NFACCT_FILTER parameters
  - c92b434e70db netfilter: nfnetlink_log: just returns error for unknown command
  - 9a07167f70a7 netfilter: x_tables: enforce nul-terminated table name from getsockopt GET_ENTRIES
  - da517f513b86 udplite: call proper backlog handlers
  - ec117204466e ARM: dts: exynos: Do not ignore real-world fuse values for thermal zone 0 on Exynos5420
  - a20168a13836 Revert "x86/platform/UV: Use efi_runtime_lock to serialise BIOS calls"
  - a264be2b4108 ARM: dts: exynos: Add minimal clkout parameters to Exynos3250 PMU
  - 7570acb21061 futex,rt_mutex: Restructure rt_mutex_finish_proxy_lock()
  - f7ff45b8c3f2 iscsi_ibft: Fix missing break in switch statement
  - 91c44982f503 Input: elan_i2c - add id for touchpad found in Lenovo s21e-20
  - 4038a524616e Input: wacom_serial4 - add support for Wacom ArtPad II tablet
  - 861e94995054 MIPS: Remove function size check in get_frame_info()
  - 39ee160c4f82 perf symbols: Filter out hidden symbols from labels
  - 74daf70b852a s390/qeth: fix use-after-free in error path
  - 683c0116fbc1 dmaengine: dmatest: Abort test in case of mapping error
  - 86785a16817c dmaengine: at_xdmac: Fix wrongfull report of a channel as in use
  - 4560637bde5c irqchip/mmp: Only touch the PJ4 IRQ & FIQ bits on enable/disable
  - e83b1928c838 ARM: pxa: ssp: unneeded to free devm_ allocated data
  - 648fca89b734 autofs: fix error return in autofs_fill_super()
  - 0d456fae1fb5 autofs: drop dentry reference only when it is never used
  - 5d5a802ec2eb fs/drop_caches.c: avoid softlockups in drop_pagecache_sb()
  - fcd11325572d mm, memory_hotplug: test_pages_in_a_zone do not pass the end of zone
  - 3ba0452668ea mm, memory_hotplug: is_mem_section_removable do not pass the end of a zone
  - d4cf6d934f72 x86_64: increase stack size for KASAN_EXTRA
  - b8c82bd0cc5e x86/kexec: Don't setup EFI info if EFI runtime is not enabled
  - 3cefd2a42568 cifs: fix computation for MAX_SMB2_HDR_SIZE
  - 177a51b9adad platform/x86: Fix unmet dependency warning for SAMSUNG_Q10
  - 930cc2bd8d5c scsi: libfc: free skb when receiving invalid flogi resp
  - e7e01b2acf94 nfs: Fix NULL pointer dereference of dev_name
  - 35709d642488 gpio: vf610: Mask all GPIO interrupts
  - ec1f9572c841 net: stmmac: dwmac-rk: fix error handling in rk_gmac_powerup()
  - f398c84acf98 net: hns: Fix wrong read accesses via Clause 45 MDIO protocol
  - a270c6f52f5a net: altera_tse: fix msgdma_tx_completion on non-zero fill_level case
  - 3afc8b846438 xtensa: SMP: limit number of possible CPUs by NR_CPUS
  - 19960e19a7f9 xtensa: SMP: mark each possible CPU as present
  - ce73d179cf66 xtensa: smp_lx200_defconfig: fix vectors clash
  - 56b84e420189 xtensa: SMP: fix secondary CPU initialization
  - f6efc18bbfc3 xtensa: SMP: fix ccount_timer_shutdown
  - 9974f32f34d5 iommu/amd: Fix IOMMU page flush when detach device from a domain
  - 81f097d689e5 ipvs: Fix signed integer overflow when setsockopt timeout
  - e5bff433d050 IB/{hfi1, qib}: Fix WC.byte_len calculation for UD_SEND_WITH_IMM
  - aa7fb4026321 perf tools: Handle TOPOLOGY headers with no CPU
  - a4fa2a130412 vti4: Fix a ipip packet processing bug in 'IPCOMP' virtual tunnel
  - bba078c9fc3c media: uvcvideo: Fix 'type' check leading to overflow
  - c9b1f8506672 ip6mr: Do not call __IP6_INC_STATS() from preemptible context
  - aaf68ba03cf7 net: dsa: mv88e6xxx: Fix u64 statistics
  - dc18101f95fa netlabel: fix out-of-bounds memory accesses
  - aba029c8e7a8 hugetlbfs: fix races and page leaks during migration
  - 5b98f0928666 MIPS: irq: Allocate accurate order pages for irq stack
  - 0adb8a1d60b1 applicom: Fix potential Spectre v1 vulnerabilities
  - 5d58d8969037 x86/CPU/AMD: Set the CPB bit unconditionally on F17h
  - 3f7902c723cf net: phy: Micrel KSZ8061: link failure after cable connect
  - b98af83bc709 net: avoid use IPCB in cipso_v4_error
  - 826987f6f98f net: Add __icmp_send helper.
  - 51d27870ecf1 xen-netback: fix occasional leak of grant ref mappings under memory pressure
  - 6e7339d5ee30 net: nfc: Fix NULL dereference on nfc_llcp_build_tlv fails
  - 7fb2b5380fee bnxt_en: Drop oversize TX packets to prevent errors.
  - 7e7a271035c4 team: Free BPF filter when unregistering netdev
  - 89ef111eb52f sky2: Disable MSI on Dell Inspiron 1545 and Gateway P-79
  - d28a029290fd net-sysfs: Fix mem leak in netdev_register_kobject
  - fcee2927c057 staging: lustre: fix buffer overflow of string buffer
  - b48715dcf16b isdn: isdn_tty: fix build warning of strncpy
  - eeb234f7f907 ncpfs: fix build warning of strncpy
  - c776cff6de52 sockfs: getxattr: Fail with -EOPNOTSUPP for invalid attribute names
  - c8d66722d84b cpufreq: Use struct kobj_attribute instead of struct global_attr
  - 25d05441f9e5 USB: serial: ftdi_sio: add ID for Hjelmslund Electronics USB485
  - a78f651889f4 USB: serial: cp210x: add ID for Ingenico 3070
  - 83e29e445132 USB: serial: option: add Telit ME910 ECM composition
  - e90171edbef7 x86/uaccess: Don't leak the AC flag into __put_user() value evaluation
  - 40952b6a649b mm: enforce min addr even if capable() in expand_downwards()
  - 7404c65cac2d mmc: spi: Fix card detection during probe
  - 1a8ccbf263d6 powerpc: Always initialize input array when calling epapr_hypercall()
  - 05de33f10001 KVM: arm/arm64: Fix MMIO emulation data handling
  - be96dcc315c7 arm/arm64: KVM: Feed initialized memory to MMIO accesses
  - 37131ae9135c KVM: nSVM: clear events pending from svm_complete_interrupts() when exiting to L1
  - 31f49f68d27e cfg80211: extend range deviation for DMG
  - 39aabcb7dcf9 mac80211: don't initiate TDLS connection if station is not associated to AP
  - b83f68e0396c ibmveth: Do not process frames after calling napi_reschedule
  - 14ae77e8a4f8 net: altera_tse: fix connect_local_phy error path
  - ff028bbb57aa scsi: csiostor: fix NULL pointer dereference in csio_vport_set_state()
  - e9fdf60dafdc serial: fsl_lpuart: fix maximum acceptable baud rate with over-sampling
  - f5c5093be741 mac80211: fix miscounting of ttl-dropped frames
  - e120f9d8596e ARC: fix __ffs return value to avoid build warnings
  - bf36c587df83 ASoC: imx-audmux: change snprintf to scnprintf for possible overflow
  - df7a151d53b1 ASoC: dapm: change snprintf to scnprintf for possible overflow
  - 8751b9509990 usb: gadget: Potential NULL dereference on allocation error
  - f84996563d7b usb: dwc3: gadget: Fix the uninitialized link_state when udc starts
  - 0a9ecf2b3012 thermal: int340x_thermal: Fix a NULL vs IS_ERR() check
  - c56caf662ad1 ALSA: compress: prevent potential divide by zero bugs
  - 2fa06f59d44e ASoC: Intel: Haswell/Broadwell: fix setting for .dynamic field
  - 59f6c707704a drm/msm: Unblock writer if reader closes file
  - bbb07fa8dfe3 scsi: libsas: Fix rphy phy_identifier for PHYs with end devices attached
  - 82774efd6d34 libceph: handle an empty authorize reply
  - 0effb9fb3dfe Revert "bridge: do not add port to router list when receives query with source 0.0.0.0"
  - 2c2433eba19a ARCv2: Enable unaligned access in early ASM code
  - 6f0ec47b9a61 net/mlx4_en: Force CHECKSUM_NONE for short ethernet frames
  - 9a24e9286b5b sit: check if IPv6 enabled before calling ip6_err_gen_icmpv6_unreach()
  - bd49916ee0f7 team: avoid complex list operations in team_nl_cmd_options_set()
  - e41a4dc253df net/packet: fix 4gb buffer limit due to overflow check
  - b76ca18c8588 batman-adv: fix uninit-value in batadv_interface_tx()
  - 00c3ec3af87a KEYS: always initialize keyring_index_key::desc_len
  - d76ef3c98024 KEYS: user: Align the payload buffer
  - 2ef22c73c241 RDMA/srp: Rework SCSI device reset handling
  - 1c3d88357065 isdn: avm: Fix string plus integer warning from Clang
  - 65aac32fee80 leds: lp5523: fix a missing check of return value of lp55xx_read
  - 4949b728976c atm: he: fix sign-extension overflow on large shift
  - fd8662fa5930 isdn: i4l: isdn_tty: Fix some concurrency double-free bugs
  - 2b285e446056 MIPS: jazz: fix 64bit build
  - 61c0c195980b scsi: isci: initialize shost fully before calling scsi_add_host()
  - 40ff741a7b49 scsi: qla4xxx: check return code of qla4xxx_copy_from_fwddb_param
  - 5647975ec2b6 MIPS: ath79: Enable OF serial ports in the default config
  - b8265637ec8a net: hns: Fix use after free identified by SLUB debug
  - d8189ee86c3a mfd: mc13xxx: Fix a missing check of a register-read failure
  - 81456de2d4b3 mfd: wm5110: Add missing ASRC rate register
  - 6a422b0676ed mfd: qcom_rpm: write fw_version to CTRL_REG
  - c02e9400dc2e mfd: ab8500-core: Return zero in get_register_interruptible()
  - 40f1c388f263 mfd: db8500-prcmu: Fix some section annotations
  - 2309acaeee2d mfd: twl-core: Fix section annotations on {,un}protect_pm_master
  - 3e442a35c361 mfd: ti_am335x_tscadc: Use PLATFORM_DEVID_AUTO while registering mfd cells
  - 1e73c0aeb3ee KEYS: allow reaching the keys quotas exactly
  - d3f2228a22ab numa: change get_mempolicy() to use nr_node_ids instead of MAX_NUMNODES
  - 1ff6adf14549 ceph: avoid repeatedly adding inode to mdsc->snap_flush_list
